<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>Sequence</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Sequence";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Sequence.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.oaipmh.api.jaxb.abcd</a></div>
<h2 title="Class Sequence" class="title">Class Sequence</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.oaipmh.api.jaxb.abcd.Sequence</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Sequence</span>
extends <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></pre>
<div class="block">A first proposal for this type of data. Note that
                                this is used in the context of a collection unit and thus
                                automatically refers to that unit.
                        
 
 <p>Java class for Sequence complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="Sequence">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="Database" type="{http://www.tdwg.org/schemas/abcd/2.06}StringL"/>
         &lt;element name="ID-in-Database" type="{http://www.tdwg.org/schemas/abcd/2.06}String"/>
         &lt;element name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
         &lt;element name="Method" type="{http://www.tdwg.org/schemas/abcd/2.06}StringL" minOccurs="0"/>
         &lt;element name="SequencedPart" type="{http://www.tdwg.org/schemas/abcd/2.06}StringL" minOccurs="0"/>
         &lt;element name="Reference" type="{http://www.tdwg.org/schemas/abcd/2.06}Reference" minOccurs="0"/>
         &lt;element name="SequencingAgent" type="{http://www.tdwg.org/schemas/abcd/2.06}Contact" minOccurs="0"/>
         &lt;element name="Length" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Sequence</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDatabase()">getDatabase</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the database property.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIDInDatabase()">getIDInDatabase</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the idInDatabase property.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigInteger.html?is-external=true" title="class or interface in java.math" class="externalLink">BigInteger</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLength()">getLength</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the length property.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMethod()">getMethod</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the method property.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="Reference.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">Reference</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getReference()">getReference</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the reference property.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSequencedPart()">getSequencedPart</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the sequencedPart property.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="Contact.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">Contact</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSequencingAgent()">getSequencingAgent</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the sequencingAgent property.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getURI()">getURI</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the uri property.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDatabase(nl.naturalis.oaipmh.api.jaxb.abcd.StringL)">setDatabase</a></span>&#8203;(<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the database property.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIDInDatabase(java.lang.String)">setIDInDatabase</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the idInDatabase property.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLength(java.math.BigInteger)">setLength</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigInteger.html?is-external=true" title="class or interface in java.math" class="externalLink">BigInteger</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the length property.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMethod(nl.naturalis.oaipmh.api.jaxb.abcd.StringL)">setMethod</a></span>&#8203;(<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the method property.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setReference(nl.naturalis.oaipmh.api.jaxb.abcd.Reference)">setReference</a></span>&#8203;(<a href="Reference.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">Reference</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the reference property.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSequencedPart(nl.naturalis.oaipmh.api.jaxb.abcd.StringL)">setSequencedPart</a></span>&#8203;(<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the sequencedPart property.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSequencingAgent(nl.naturalis.oaipmh.api.jaxb.abcd.Contact)">setSequencingAgent</a></span>&#8203;(<a href="Contact.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">Contact</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the sequencingAgent property.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setURI(java.lang.String)">setURI</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the uri property.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Sequence</h4>
<pre>public&nbsp;Sequence()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getDatabase()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabase</h4>
<pre class="methodSignature">public&nbsp;<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;getDatabase()</pre>
<div class="block">Gets the value of the database property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>StringL</code></a></dd>
</dl>
</li>
</ul>
<a id="setDatabase(nl.naturalis.oaipmh.api.jaxb.abcd.StringL)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabase</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDatabase&#8203;(<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;value)</pre>
<div class="block">Sets the value of the database property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>StringL</code></a></dd>
</dl>
</li>
</ul>
<a id="getIDInDatabase()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIDInDatabase</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getIDInDatabase()</pre>
<div class="block">Gets the value of the idInDatabase property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="setIDInDatabase(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIDInDatabase</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIDInDatabase&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the idInDatabase property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="getURI()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getURI</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getURI()</pre>
<div class="block">Gets the value of the uri property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="setURI(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setURI</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setURI&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the uri property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="getMethod()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMethod</h4>
<pre class="methodSignature">public&nbsp;<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;getMethod()</pre>
<div class="block">Gets the value of the method property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>StringL</code></a></dd>
</dl>
</li>
</ul>
<a id="setMethod(nl.naturalis.oaipmh.api.jaxb.abcd.StringL)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMethod</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMethod&#8203;(<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;value)</pre>
<div class="block">Sets the value of the method property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>StringL</code></a></dd>
</dl>
</li>
</ul>
<a id="getSequencedPart()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSequencedPart</h4>
<pre class="methodSignature">public&nbsp;<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;getSequencedPart()</pre>
<div class="block">Gets the value of the sequencedPart property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>StringL</code></a></dd>
</dl>
</li>
</ul>
<a id="setSequencedPart(nl.naturalis.oaipmh.api.jaxb.abcd.StringL)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSequencedPart</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSequencedPart&#8203;(<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;value)</pre>
<div class="block">Sets the value of the sequencedPart property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>StringL</code></a></dd>
</dl>
</li>
</ul>
<a id="getReference()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReference</h4>
<pre class="methodSignature">public&nbsp;<a href="Reference.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">Reference</a>&nbsp;getReference()</pre>
<div class="block">Gets the value of the reference property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="Reference.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>Reference</code></a></dd>
</dl>
</li>
</ul>
<a id="setReference(nl.naturalis.oaipmh.api.jaxb.abcd.Reference)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReference</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setReference&#8203;(<a href="Reference.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">Reference</a>&nbsp;value)</pre>
<div class="block">Sets the value of the reference property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="Reference.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>Reference</code></a></dd>
</dl>
</li>
</ul>
<a id="getSequencingAgent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSequencingAgent</h4>
<pre class="methodSignature">public&nbsp;<a href="Contact.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">Contact</a>&nbsp;getSequencingAgent()</pre>
<div class="block">Gets the value of the sequencingAgent property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="Contact.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>Contact</code></a></dd>
</dl>
</li>
</ul>
<a id="setSequencingAgent(nl.naturalis.oaipmh.api.jaxb.abcd.Contact)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSequencingAgent</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSequencingAgent&#8203;(<a href="Contact.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">Contact</a>&nbsp;value)</pre>
<div class="block">Sets the value of the sequencingAgent property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="Contact.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>Contact</code></a></dd>
</dl>
</li>
</ul>
<a id="getLength()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLength</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigInteger.html?is-external=true" title="class or interface in java.math" class="externalLink">BigInteger</a>&nbsp;getLength()</pre>
<div class="block">Gets the value of the length property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigInteger.html?is-external=true" title="class or interface in java.math" class="externalLink"><code>BigInteger</code></a></dd>
</dl>
</li>
</ul>
<a id="setLength(java.math.BigInteger)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setLength</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLength&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigInteger.html?is-external=true" title="class or interface in java.math" class="externalLink">BigInteger</a>&nbsp;value)</pre>
<div class="block">Sets the value of the length property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigInteger.html?is-external=true" title="class or interface in java.math" class="externalLink"><code>BigInteger</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Sequence.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
